check-mysql5: Perl-Error

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • check-mysql5: Perl-Error

      Bei einem neu eingerichteten MySQL5-Check bekomme ich nur diese Meldung zurück:

      Source Code

      1. root@db1 ~ # /usr/lib/bloonix/plugins/check-mysql5 --host localhost --username root
      2. *** Error in `/usr/bin/perl': double free or corruption (!prev): 0x0000000001843900 ***
      3. Abgebrochen

      Versionsinformationen:

      Source Code

      1. root@db1 ~ # cat /etc/debian_version
      2. 8.9

      Source Code

      1. root@db1 ~ # dpkg -l | grep bloonix
      2. ii bloonix-agent 0.77-1 all Bloonix agent daemon
      3. ii bloonix-core 0.43-1 all Bloonix core modules
      4. ii bloonix-plugins-apache 0.12-1 all Bloonix Plugins Apache
      5. ii bloonix-plugins-basic 0.64-1 all Bloonix Plugins Base
      6. ii bloonix-plugins-drbd 0.8-1 all Bloonix Plugins DRBD
      7. ii bloonix-plugins-lighttpd 0.4-1 all Bloonix Plugins Lighttpd
      8. ii bloonix-plugins-linux 0.66-1 all Bloonix Plugins for Linux
      9. ii bloonix-plugins-memcached 0.7-1 all Bloonix Plugins Memcached
      10. ii bloonix-plugins-mysql 0.14-1 all Bloonix Plugins MySQL
      11. ii bloonix-plugins-nginx 0.9-1 all Bloonix Plugins Nginx
      12. ii bloonix-plugins-pgsql 0.14-1 all Bloonix Plugins PgSQL
      13. ii bloonix-plugins-postfix 0.10-1 all Bloonix Plugins Postfix
      14. ii bloonix-plugins-redis 0.4-1 all Bloonix Plugins Redis
      15. ii bloonix-plugins-sensors 0.10-1 all Bloonix Plugins lm-sensors
      16. ii bloonix-plugins-varnish 0.6-1 all Bloonix Plugins Varnish
      17. ii bloonix-plugins-wtrm 0.21-1 all Bloonix Plugins WTRM
      Display All

      Source Code

      1. Server version: 5.7.12-log MySQL Community Server (GPL)

      Source Code

      1. This is perl 5, version 20, subversion 2 (v5.20.2) built for x86_64-linux-gnu-thread-multi
      I probably won't go down in history, but I will go down on your sister.
      - Hank Moody
    • Gibt es gerade Probleme mit dem Repository oder bin ich zu doof?

      Source Code

      1. root@db1 ~ # apt-get install bloonix-plugins-mysql --reinstall
      2. Paketlisten werden gelesen... Fertig
      3. Abhängigkeitsbaum wird aufgebaut.
      4. Statusinformationen werden eingelesen.... Fertig
      5. Erneute Installation von bloonix-plugins-mysql ist nicht möglich,
      6. es kann nicht heruntergeladen werden.
      7. 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.

      apt-get update habe ich ausgeführt und ist auch erfolgreich:

      Source Code

      1. root@db1 ~ # apt-get update
      2. Ign http://mirror.hetzner.de jessie InRelease
      3. OK http://mirror.hetzner.de jessie/updates InRelease
      4. OK http://security.debian.org jessie/updates InRelease
      5. OK http://ftp.de.debian.org jessie-updates InRelease
      6. Holen: 1 https://download.bloonix.de jessie InRelease [162 B]
      7. Ign https://download.bloonix.de jessie InRelease
      8. OK http://repo.mysql.com jessie InRelease
      9. Ign http://wertarbyte.de ./ InRelease
      10. OK http://mirror.hetzner.de jessie Release.gpg
      11. OK http://mirror.hetzner.de jessie Release
      12. OK http://wertarbyte.de ./ Release.gpg
      13. OK http://wertarbyte.de ./ Release
      14. OK https://download.bloonix.de jessie Release.gpg
      15. OK https://download.bloonix.de jessie Release
      16. OK http://mirror.hetzner.de jessie/updates/main amd64 Packages
      17. Ign http://cdn.debian.net jessie InRelease
      18. OK http://mirror.hetzner.de jessie/updates/contrib amd64 Packages
      19. OK http://mirror.hetzner.de jessie/updates/non-free amd64 Packages
      20. OK http://security.debian.org jessie/updates/main Sources
      21. OK http://security.debian.org jessie/updates/contrib Sources
      22. OK http://security.debian.org jessie/updates/non-free Sources
      23. OK http://security.debian.org jessie/updates/main amd64 Packages
      24. OK http://security.debian.org jessie/updates/contrib amd64 Packages
      25. OK http://security.debian.org jessie/updates/non-free amd64 Packages
      26. OK http://ftp.de.debian.org jessie-updates/main Sources
      27. OK http://ftp.de.debian.org jessie-updates/contrib Sources
      28. OK http://cdn.debian.net jessie Release.gpg
      29. OK http://ftp.de.debian.org jessie-updates/non-free Sources
      30. OK http://ftp.de.debian.org jessie-updates/main amd64 Packages
      31. OK http://ftp.de.debian.org jessie-updates/contrib amd64 Packages
      32. OK http://ftp.de.debian.org jessie-updates/non-free amd64 Packages
      33. OK http://mirror.hetzner.de jessie/main amd64 Packages
      34. OK http://mirror.hetzner.de jessie/contrib amd64 Packages
      35. OK http://mirror.hetzner.de jessie/non-free amd64 Packages
      36. OK http://repo.mysql.com jessie/mysql-5.6 Sources
      37. OK http://wertarbyte.de ./ Packages
      38. OK http://repo.mysql.com jessie/mysql-5.6 amd64 Packages
      39. OK https://download.bloonix.de jessie/main amd64 Packages
      40. OK http://cdn.debian.net jessie Release
      41. OK http://cdn.debian.net jessie/main Sources
      42. OK http://cdn.debian.net jessie/non-free Sources
      43. OK http://cdn.debian.net jessie/contrib Sources
      44. OK http://cdn.debian.net jessie/main amd64 Packages
      45. OK http://cdn.debian.net jessie/non-free amd64 Packages
      46. OK http://cdn.debian.net jessie/contrib amd64 Packages
      47. Paketlisten werden gelesen... Fertig
      Display All

      I probably won't go down in history, but I will go down on your sister.
      - Hank Moody
    • Ich weiß zwar nicht, wie das hilft oder was das Problem daran ist, aber bitte:

      Source Code

      1. deb http://mirror.hetzner.de/debian/packages jessie main contrib non-free
      2. deb http://mirror.hetzner.de/debian/security jessie/updates main contrib non-free
      3. #######################################################################################
      4. # Backupmirror
      5. #
      6. deb http://cdn.debian.net/debian/ jessie main non-free contrib
      7. deb-src http://cdn.debian.net/debian/ jessie main non-free contrib
      8. deb http://security.debian.org/ jessie/updates main contrib non-free
      9. deb-src http://security.debian.org/ jessie/updates main contrib non-free
      10. deb http://ftp.de.debian.org/debian/ jessie-updates main contrib non-free
      11. deb-src http://ftp.de.debian.org/debian/ jessie-updates main contrib non-free
      Display All


      Source Code

      1. deb https://download.bloonix.de/repos/debian/ jessie main
      I probably won't go down in history, but I will go down on your sister.
      - Hank Moody
    • Inzwischen habe ich sowieso auf MariaDB 10.2 geupgradet und erhalte nun folgenden Error:

      Source Code

      1. root@db1 ~ # /usr/lib/bloonix/plugins/check-mysql5 --host localhost --username root
      2. {"status":"CRITICAL","message":"install_driver(mysql) failed: Can't load '/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/DBD/mysql/mysql.so' for module DBD::mysql: libmysqlclient.so.18: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden at /usr/lib/x86_64-linux-gnu/perl/5.20/DynaLoader.pm line 187. at (eval 13) line 3. Compilation failed in require at (eval 13) line 3. Perhaps a required shared library or dll isn't installed where expected at /usr/lib/bloonix/plugins/check-mysql5 line 206."}

      Source Code

      1. root@db1 ~ # mysql
      2. Welcome to the MariaDB monitor. Commands end with ; or \g.
      3. Your MariaDB connection id is 1457
      4. Server version: 10.2.7-MariaDB-10.2.7+maria~jessie-log mariadb.org binary distribution

      Source Code

      1. ii libmariadb-dev 10.2.7+maria~jessie amd64 MariaDB database development files
      2. ii libmariadb3 10.2.7+maria~jessie amd64 MariaDB database client library
      3. ii libmariadbclient18 10.2.7+maria~jessie amd64 Virtual package to satisfy external depends
      4. ii libmysqlclient18 10.2.7+maria~jessie amd64 Virtual package to satisfy external depends
      5. ii mariadb-client-10.2 10.2.7+maria~jessie amd64 MariaDB database client binaries
      6. ii mariadb-client-core-10.2 10.2.7+maria~jessie amd64 MariaDB database core client binaries
      7. ii mariadb-common 10.2.7+maria~jessie all MariaDB database common files (e.g. /etc/mysql/conf.d/mariadb.cnf)
      8. ii mariadb-server 10.2.7+maria~jessie all MariaDB database server (metapackage depending on the latest version)
      9. ii mariadb-server-10.2 10.2.7+maria~jessie amd64 MariaDB database server binaries
      10. ii mariadb-server-core-10.2 10.2.7+maria~jessie amd64 MariaDB database core server files
      11. ii mysql-common 10.2.7+maria~jessie all MariaDB database common files (e.g. /etc/mysql/my.cnf)
      Display All
      I probably won't go down in history, but I will go down on your sister.
      - Hank Moody
    • Hi,

      schau mal ob die Abhängigkeiten passen und vorhanden sind:

      Source Code

      1. apt-cache depends bloonix-plugins-mysql
      2. bloonix-plugins-mysql
      3. Hängt ab von: bloonix-core
      4. Hängt ab von: libdbi-perl
      5. Hängt ab von: libdbd-mysql-perl


      Wenn ja - guck mal ob /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/DBD/mysql/mysql.so auf dem Dateisystem liegt und falls nicht, installiere das Paket libdbd-mysql-perl neu.

      Ansonsten schmeiß das Paket bloonix-plugins-mysql mal runter und versuch das Plugin über den source code zu installieren.
    • Source Code

      1. ​root@db1 ~ # dpkg -l | grep bloonix-core
      2. ii bloonix-core 0.43-1 all Bloonix core modules
      3. root@db1 ~ # dpkg -l | grep libdbi-perl
      4. ii libdbi-perl 1.631-3+b1 amd64 Perl Database Interface (DBI)
      5. root@db1 ~ # dpkg -l | grep libdbd-mysql-perl
      6. ii libdbd-mysql-perl 4.028-2+deb8u2 amd64 Perl5 database interface to the MySQL database

      Source Code

      1. ​root@db1 ~ # ls -lha /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/DBD/mysql/mysql.so
      2. -rw-r--r-- 1 root root 120K Okt 3 2016 /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/DBD/mysql/mysql.so
      I probably won't go down in history, but I will go down on your sister.
      - Hank Moody